{
  "name": "@benforsberg/react-tutorial",
  "main": "/src/index.js",
  "version": "0.1.0-dev",
  "homepage": "/",
  "repository": {
    "type": "git",
    "url": "https://gitlab.com/ben-forsberg/dev/node/react-tutorial"
  },
  "config": {
    "port": "8080"
  },
  "author": "Ben Forsberg <ben@bforsberg.com> (https://bforsberg.com/)",
  "description": "Ben's project to get familiar with react/nextjs.",
  "license": "MIT",
  "scripts": {
    "start": "react-scripts start",
    "build": "react-scripts build",
    "build:ci": "npm ci && react-scripts build",
    "image-build": "docker build -t registry.gitlab.com/ben-forsberg/dev/node/react-tutorial:%npm_package_version% .",
    "image-push": "docker push registry.gitlab.com/ben-forsberg/dev/node/react-tutorial:%npm_package_version%",
    "test": "react-scripts test --env=jsdom",
    "test:ci": "npm ci && react-scripts test --env=jsdom",
    "lint": "eslint --fix src/**/*.js",
    "lint:ci": "npm ci --save-dev && eslint src/**/*.{js}",
    "eject": "react-scripts eject"
  },
  "extends": [
    "eslint:recommended",
    "plugin:react/recommended"
  ],
  "dependencies": {
    "react": "^18.2.0",
    "react-dom": "^18.2.0",
    "react-scripts": "^5.0.1"
  },
  "devDependencies": {
    "babel-eslint": "^9.0.0",
    "eslint-plugin-react": "^7.32.2"
  },
  "browserslist": {
    "production": [
      ">0.2%",
      "not dead",
      "not op_mini all"
    ],
    "development": [
      "last 1 chrome version",
      "last 1 firefox version",
      "last 1 safari version"
    ]
  }
}
